// *****************************************************************
// *                                                               *
// *       Copyright (c) Fast Corporation, 2017                    *
// *                                                               *
// *   All Rights Reserved.  Unpublished rights  reserved  under   *
// *   the copyright laws of the Japan.                            *
// *                                                               *
// *   The software contained on this media  is  proprietary  to   *
// *   and  embodies  the  confidential  technology  of  Fast      *
// *   Corporation.  Possession, use,  duplication  or             *
// *   dissemination of the software and media is authorized only  *
// *   pursuant to a valid written license from Fast Corporation.  *
// *                                                               *
// ****************************************************************

// -----------------------------------------------------------------
//  FVIL Sample Program
//  ړʓ͗p_CAO
//
//  쐬 : N.Kubo
//
//   : 2017/8/19 
//
//  Affine Sample Program
// -----------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace affine
{
    public partial class FormSift : Form
    {
        public FormSift()
        {
            InitializeComponent();
        }


        public double MoveX = 0;
        public double MoveY = 0;

        private void btnOK_Click(object sender, EventArgs e)
        {

            double.TryParse(txtMoveX.Text, out MoveX);
            double.TryParse(txtMoveY.Text, out MoveY);

        }

        private void txtMoveX_KeyPress(object sender, KeyPressEventArgs e)
        {

            if ((e.KeyChar < '0' || e.KeyChar > '9') && e.KeyChar != '\b' && e.KeyChar != '-')
                e.Handled = true;

        }

        private void txtMoveY_KeyPress(object sender, KeyPressEventArgs e)
        {
            if ((e.KeyChar < '0' || e.KeyChar > '9') && e.KeyChar != '\b' && e.KeyChar != '-')
                e.Handled = true;

        }

    }
}